Bug 499763

Summary: virt-install should warn about minimum memory
Product: [Fedora] Fedora Reporter: Aron Griffis <aron.griffis>
Component: python-virtinstAssignee: Cole Robinson <crobinso>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: rawhideCC: anaconda-maint-list, berrange, clalance, crobinso, virt-maint
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-25 13:42:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
screenshot of vnc window
none
out of memory none

Description Aron Griffis 2009-05-07 23:23:13 EDT
Created attachment 342971 [details]
screenshot of vnc window

Description of problem:
rawhide (post-f11preview) installed on an HP ProLiant DL385.  Attempt to install f10 guest with:

virt-install --name=f10-vm1 --ram=256 --hvm --accelerate \
    --cdrom=Download/f10-boot.iso --file=/dev/VolGroup00/f10-vm1 \
    --vnc --vncport=5902

Install never transitions to graphics mode, see attached screenshot

Version-Release number of selected component (if applicable):
kernel-2.6.29.2-126.fc11.x86_64
qemu-kvm-0.10-16.fc11.x86_64
python-virtinst-0.400.3-8.fc11.noarch
libvirt-0.6.2-6.fc11.x86_64
libvirt-python-0.6.2-6.fc11.x86_64

How reproducible:
every time
Comment 1 Aron Griffis 2009-05-07 23:25:58 EDT
Ah, but on another virtual console in the guest I see an OOM condition.  I'll attach another screenshot.
Comment 2 Aron Griffis 2009-05-07 23:26:44 EDT
Created attachment 342972 [details]
out of memory
Comment 3 Aron Griffis 2009-05-07 23:28:52 EDT
Using --ram=512 works around the problem.  Is 256M really not enough to install a guest?
Comment 4 Chris Lalancette 2009-05-08 01:29:03 EDT
Unfortunately, it's really not.  We have had this problem forever, going back to RHEL-5.  On 64-bit machines, python (and hence anaconda) eats a *lot* of memory, and 256MB is just enough.  Actually, I've had problems with 512MB as well, with the OOM killer kicking in at some point during install.  From my experience, you need at least 512MB with 32-bit, and 768MB with 64-bit.

I'm going to close this bug, since there's really nothing we can do about it from the virtualization side.  Feel free to re-open if you want to assign it to anaconda or something.

Chris Lalancette
Comment 5 Daniel Berrange 2009-05-08 05:37:53 EDT
I'm reopening this bug, because I think we should extend the virt-install OS type/variant metadata to record the recommended minimum RAM for each OS type. Then if the user requests a RAM setting less than the recommended minimum, we can at the very least warn them ahead of time.
Comment 6 Aron Griffis 2009-05-08 08:50:48 EDT
Thanks Dan, that would be great.  This bug came as a surprise because I've been able to install Windows and non-RH Linux distros in smaller memory.  Since python/anaconda need so much, I'm sure it would save people some headaches for virt-install to emit a warning.  Actually, it would be great for the installer to be aware of its requirements and emit a warning, but it's too late to go back and fix the installers in older releases.
Comment 7 Aron Griffis 2009-05-08 09:08:13 EDT
*** Bug 499762 has been marked as a duplicate of this bug. ***
Comment 8 Mark McLoughlin 2009-05-11 06:29:50 EDT
Personally, I think this is an anaconda bug - it should warn people if they don't have enough memory to install. See also bug #480826
Comment 9 Bug Zapper 2009-06-09 11:25:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-04-27 10:13:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:26:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Bug Zapper 2010-11-04 07:16:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Cole Robinson 2010-11-17 13:56:55 EST
Still present, moving to rawhide
Comment 14 Cole Robinson 2012-01-25 13:42:41 EST

*** This bug has been marked as a duplicate of bug 500320 ***